Page MenuHomePhabricator

VisualEditor redlink detection should obey Title::isAlwaysKnown (so that links to Special pages, EducationProgram pages and GlobalUserPages render correctly)
Closed, ResolvedPublic8 Story Points

Description

Education Programme:

On page
https://pt.wikipedia.org/wiki/User:Alpha_Centaurus?veaction=edit&oldid=39924153&uselang=en
the link to
https://pt.wikipedia.org/wiki/Ensino:Universidade_Federal_do_Rio_Grande_do_Sul/C%C3%A1lculo_Num%C3%A9rico_%28MAT01169%29_%282014-2%29
is red, but it should be blue because (from the user's point of view) the page exists.

GlobalUserPages:

Viewing https://www.mediawiki.org/wiki/Extension:TemplateData shows a blue link for "James Forrester". However, when editing with VisualEditor, the link is red.


See also: T134073: Page curation toolbar should show blue links when there is a global user page

Details

Reference
bz70123

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:33 AM
bzimport set Reference to bz70123.
He7d3r created this task.Aug 28 2014, 2:04 PM

Unfortunately, that page doesn't actually exist. EducationProgram just pretends it does via the hook I mentioned in T72504#942697.

He7d3r updated the task description. (Show Details)Dec 26 2014, 9:58 PM
He7d3r set Security to None.
Jdforrester-WMF renamed this task from Links to existing pages in the Education Program namespaces are marked as red links to VisualEditor's redlink detection doesn't obey TitleIsAlwaysKnown hook, so pages in the Education Program namespaces and GlobalUserPages show up as red.Mar 4 2015, 2:39 AM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added subscribers: Krinkle, Aklapper.
Legoktm added a subscriber: Legoktm.Mar 4 2015, 5:11 AM
Krinkle renamed this task from VisualEditor's redlink detection doesn't obey TitleIsAlwaysKnown hook, so pages in the Education Program namespaces and GlobalUserPages show up as red to VisualEditor redlink detection should obey TitleIsAlwaysKnown hook (so that EducationProgram pages and GlobalUserPage links render correctly).Mar 6 2015, 6:09 AM
Krinkle added a project: GlobalUserPage.
Krinkle added a subscriber: Eloquence.

Extension:WikimediaIncubator also uses this hook so "Valid Wx/xyz info pages should be considered as existing pages". SemanticMediaWiki also uses it for something.

There are other issues due to Title::isAlwaysKnown that aren't just the TitleIsAlwaysKnown hook - existence of files vs. file pages, and existence of system messages.

Jdforrester-WMF raised the priority of this task from Low to Normal.Mar 7 2015, 4:10 AM
Krenair renamed this task from VisualEditor redlink detection should obey TitleIsAlwaysKnown hook (so that EducationProgram pages and GlobalUserPage links render correctly) to VisualEditor redlink detection should obey Title::isAlwaysKnown (so that links to Special pages, EducationProgram pages and GlobalUserPages render correctly).Oct 21 2015, 6:49 PM
Krenair added subscribers: Esanders, Dreamyshade.

I filed a blocker bug to expose Title::isKnown() via the API, so VE can use it.

Once that is in place, someone will need to update ve.init.mw.LinkCache to use it.

Change 315432 had a related patch set uploaded (by Jforrester):
mw.LinkCache: Links aren't missing if they're known

https://gerrit.wikimedia.org/r/315432

Change 315455 had a related patch set uploaded (by Alex Monk):
TitleWidget: Take 'known' status into account when deciding page existence

https://gerrit.wikimedia.org/r/315455

Change 315455 merged by jenkins-bot:
TitleWidget: Take 'known' status into account when deciding page existence

https://gerrit.wikimedia.org/r/315455

Jdforrester-WMF closed this task as Resolved.Oct 13 2016, 12:46 AM
Jdforrester-WMF assigned this task to AlexMonk-WMF.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Freezer to TR1: Releases on the VisualEditor board.

Change 315432 merged by jenkins-bot:
mw.LinkCache: Links aren't missing if they're known

https://gerrit.wikimedia.org/r/315432